Subject: Re: Few questions related to LDP

From: [email-masked]
Date: Fri, 8 Jun 2001 13:23:29 +0530

nagendra!
     pls find comments inline.

regards
sumit

Nagendra Singh Tomar <[email-masked]> on 06/08/2001 01:29:02 PM

Please respond to [email-masked]

To:   Abhijit Gadgil <[email-masked]>
cc:   Sumit Chauhan/HSS@HSS, Eric Gray <[email-masked]>, Nagendra Singh
      Tomar <[email-masked]>, [email-masked]

Subject:  Re: Few questions related to LDP

Abhijit!
     Ur proposition leads to a couple of new questions.
Assume that R2 has no entry for p.q.r.o/24, but for p.q.0.0/16, then
according to ur proposition R2 will terminate the LSP (LSP1) i.e it will
act as an egress for LSP1, and from R2 to R3 it will initiate a new LSP
(LSP2) which will be for FEC p.q.0.0/16 unlike LSP1 which is for
p.q.r.0/24.
     The question is why will R2 act as an egress for FEC p.q.r.0/24
(Refer 4.1.4 RFC 3032 for exact definition of an egress node),
***sumit***
Its RFC 3031 ;o))
Anyhow nothing in the spec prevents R2 from being the egress as it satisfys the
point 1 of the two conditions for being an Egress LSR as follows
     "   1. R has an address Y, such that X is the address prefix in R's
            routing table which is the longest match for Y, or"

think of it also as a case where LSR R2 might have been at the edge of an MPLS
domain. It is not neccessary that R2 is the absolute last router to the FEC
address prefix for it to act as an LSR.
***********

LRq.9 point #1 for DU/DoD Ordered control checks for egress, if the node
is not egress for FEC it sends a label request for the same FEC
(p.q.r.0/24) to the nexthop for that FEC (I assume that this nexthop is
found by doing a longest prefix match in the routing table).
****sumit****
again the R2 shall be marked here as the egress for p.q.r.0/24 as part of the
"smart" R2 action items.
*************
A router is egress for an FEC if it is acting as a "deaggregation" point
that is its routing table has more precise entries NOT when it is acting
as an "aggregation" point i.e its routing table has less precise entries (
as is the case we are discussing)

regards
tomar

On Fri, 8 Jun 2001, Abhijit Gadgil wrote:

> sumit,
>
> If R2 has no entry for p.q.r.o/24, but for p.q.0.0/16 then I think
> following shd happen, almost like what Eric has pointed out.
>
>  R1-R2         R2-R3    ( R2 is being a bit smart here)
> =======       =======
>  LSP1          LSP2
> (p.q.r.0/24)  (p.q.0.0/16)
>
> and not
>
>   R1-R2-R3
>  ===========
>     LSP
> (p.q.r.0/24)
>
> If indeed an LSP as in scenario 2 exist, R2 does have an entry for
> p.q.r.0/24 in its routing table and thus in every likelyhood the FTN entry
> . And then it _can_ put packets for p.q.r.0/24 on the part of the LSP
> beyond it. i.e. R2-R3, which come from R4.
>
> Am i missing something?
>
> -abhijit
>
> On Fri, 8 Jun 2001 [email-masked] wrote:
>
>  >     You are correct in your analysis of the problem (the one with R4
>  >involved) but there is still a question that needs to be answered. for
>  >R2 to be able ro also accept unlabeled packets from R4 and put them on
>  >the LSP R1-R2-R3 there has to be a FTN entry created at R2 for say
>  >p.q.r.0/24 (which is the LSP R1-R2-R3) where as the trigger for
>  >creation of an FTN (DoD or DU) would only be for p.q.0.0/16 as that is
>  >the routing update received from R3 which is the next hop for
>  >p.q.0.0/16.Thus we are talking of R2 to be able to be smart enough to
>  >do traffic merging for two seperate FEC. This can be done but I guess
>  >then the intelligence will have to be explicit in terms of - to what
>  >level we want to do it (consider another p.0.0.0/8 entry in r2 routing
>  >table from a next hop R5 !). You are absolutely right that this is a
>  >local issue and does not need to be LSP wide as Eric pointed out that
>  >someone having a route to p.q.0.0/16 will surely have a route to
>  >p.q.r.0/24 (even if it might not be the best one ;o)
>  >
>  >regards
>  >sumit
>
>

--

------------------------------------------------------------------------------
 Nagendra Singh Tomar

 Residence:
 369 KHB Colony
 5th Block Koramangala
 Bangalore 95
 INDIA
 Phone : 5524839
 email : [email-masked]

"Sometimes quantity becomes quality"
                            --Gary Kasparov,
 When he played against Deep Blue. He said this after looking at a
 computer which found a forced mate in 249 in an endgame, after calculating
 all the possible moves with only 5 pieces left on the board.
------------------------------------------------------------------------------

---

From: Nagendra Singh Tomar <[email-masked]>
Date: Fri, 8 Jun 2001 14:00:54 +0530 (IST)

Hi sumit!
         Condition 1 in 4.1.4 of RFC 3031 covers the case when the FEC
refers to some directly connected subnet for a node. I can't understand
how u can say that R2 satisfys condition 1. Please explain ??

--tomar

> Subject:  Re: Few questions related to LDP
A> 

-- 

 Residence:
 369 KHB Colony
 5th Block Koramangala
 Bangalore 95
 INDIA
 Phone : 5524839